Skip to main content
GET
/
v1
/
report
/
insight
/
benchmarking
/
ssp-overview
/report/insight/benchmarking/ssp-overview
curl --request GET \
  --url https://api.tagdeliver.com/v1/report/insight/benchmarking/ssp-overview \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tagdeliver.com/v1/report/insight/benchmarking/ssp-overview"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tagdeliver.com/v1/report/insight/benchmarking/ssp-overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": {
    "currency": "GBP",
    "data": {
      "no_bids": {
        "publisher": 6082389,
        "cohort": 160192,
        "network": 1255804
      },
      "bids": {
        "publisher": 456063,
        "cohort": 47440,
        "network": 250292
      },
      "won_bids": {
        "publisher": 28596,
        "cohort": 6094,
        "network": 61241
      },
      "bid_requests": {
        "publisher": 6538452,
        "cohort": 207632,
        "network": 1506096
      },
      "lost_bids": {
        "publisher": 427467,
        "cohort": 41346,
        "network": 189051
      },
      "won_bid_revenue": {
        "publisher": 50.60156387,
        "cohort": 6,
        "network": 65
      },
      "bid_revenue": {
        "publisher": 561.29946509,
        "cohort": 18,
        "network": 172
      }
    }
  },
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

uid
integer
required

Publisher ID

range
enum<string>

Date range. All ranges exclude today and run up to yesterday

Available options:
custom,
all_time,
seven_days,
fourteen_days,
thirty_days,
three_months,
six_months,
week_to_date,
month_to_date,
quarter_to_date,
year_to_date,
last_week,
last_month,
last_quarter,
last_year,
month_on_month,
quarter_on_quarter,
yesterday
start
string<date>

Start date when range=custom

end
string<date>

End date when range=custom

rev_type
enum<string>
default:gross

Revenue type

Available options:
net,
gross
rev_source
enum<string>
default:all

Revenue source, SaaS or Plug&Play (pap)

Available options:
all,
pap,
saas
environment
enum<string>
default:all

Environment or platform to report from

Available options:
all,
app,
web
exclude_pubs
enum<string>
default:yes

Excludes publisher data from the Network and Cohort for users organisation

Available options:
yes,
no

Response

200 - application/json
results
object
required
success
boolean
required